import java.io.*;
import java.util.Arrays;
import java.nio.file.*;
import static org.junit.Assert.*;
import org.junit.*;
import jp.co.field_works.*;

public class ReportsTest {

    static String outRender = "out/rendered.pdf";

    static String paramRender = "{\n \"template\": {\"paper\": \"A4\"},\n \"context\": {\n \"hello\": {\n \"new\": \"Tx\",\n \"value\": \"Hello, World!\",\n \"rect\": [100, 700, 400, 750]\n }\n }\n}";

    @BeforeClass public static void setup() throws IOException {
        Files.deleteIfExists(Paths.get(outRender));
    }

    @Test
    public void testVersion() throws ReportsException {
        assertEquals("1.5", Reports.version().substring(0, 3));
    }

    @Test
    public void testRenders() throws ReportsException {
        byte[] pdf = Reports.renders(paramRender);
        assertEquals("%PDF-1.", new String(Arrays.copyOfRange(pdf, 0, 7)));
    }

    @Test
    public void testRender() throws ReportsException, IOException {
        Files.createDirectories(Paths.get("out"));
        Reports.render(paramRender, outRender);
        File file = new File(outRender);
        assertTrue(file.exists());
    }
}
